/* ====================================================================
 * Copyright (c) 1997-2000 Harrie Hazewinkel.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by Harrie Hazewinkel."
 *
 * 4. The name of the Copyright holder must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission.
 *
 * 5. Products derived from this software may not be called "MOD-SNMP"
 *    nor may "MOD-SNMP" appear in their names  without prior written
 *    permission of the Harrie Hazewinkel.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Harrie Hazewinkel"
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE APACHE GROUP OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 *
 * The creator of this module is Harrie.Hazewinkel@bigfoot.com
 * This file contains generated code of SMASH also created by Harrie.
 *
 *
 */

#ifndef	_SNMPv2_SMI_
#define	_SNMPv2_SMI_

/* required include files (IMPORTS) */
/* defined objects in this module */


/* MIB object org = iso, 3 */
#define	I_org	3
#define	O_org	1, 3

/* MIB object dod = org, 6 */
#define	I_dod	6
#define	O_dod	1, 3, 6

/* MIB object internet = dod, 1 */
#define	I_internet	1
#define	O_internet	1, 3, 6, 1

/* MIB object directory = internet, 1 */
#define	I_directory	1
#define	O_directory	1, 3, 6, 1, 1

/* MIB object mgmt = internet, 2 */
#define	I_mgmt	2
#define	O_mgmt	1, 3, 6, 1, 2

/* MIB object mib_2 = mgmt, 1 */
#define	I_mib_2	1
#define	O_mib_2	1, 3, 6, 1, 2, 1

/* MIB object experimental = internet, 3 */
#define	I_experimental	3
#define	O_experimental	1, 3, 6, 1, 3

/* MIB object private = internet, 4 */
#define	I_private	4
#define	O_private	1, 3, 6, 1, 4

/* MIB object enterprises = private, 1 */
#define	I_enterprises	1
#define	O_enterprises	1, 3, 6, 1, 4, 1

/* MIB object security = internet, 5 */
#define	I_security	5
#define	O_security	1, 3, 6, 1, 5

/* MIB object snmpV2 = internet, 6 */
#define	I_snmpV2	6
#define	O_snmpV2	1, 3, 6, 1, 6

/* MIB object snmpDomains = snmpV2, 1 */
#define	I_snmpDomains	1
#define	O_snmpDomains	1, 3, 6, 1, 6, 1

/* MIB object snmpProxys = snmpV2, 2 */
#define	I_snmpProxys	2
#define	O_snmpProxys	1, 3, 6, 1, 6, 2

/* MIB object snmpModules = snmpV2, 3 */
#define	I_snmpModules	3
#define	O_snmpModules	1, 3, 6, 1, 6, 3

#endif	_SNMPv2_SMI_
