/* ====================================================================
 * Copyright (c) 1997-2000 Harrie Hazewinkel.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by Harrie Hazewinkel."
 *
 * 4. The name of the Copyright holder must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission.
 *
 * 5. Products derived from this software may not be called "MOD-SNMP"
 *    nor may "MOD-SNMP" appear in their names  without prior written
 *    permission of the Harrie Hazewinkel.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Harrie Hazewinkel"
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE APACHE GROUP OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 *
 * The creator of this module is Harrie.Hazewinkel@bigfoot.com
 * This file contains generated code of SMASH also created by Harrie.
 *
 *
 */

#ifndef	_APACHE_SCOREBOARD_MIB_
#define	_APACHE_SCOREBOARD_MIB_

/* required include files (IMPORTS) */


void init_APACHE_SCOREBOARD_MIB();
void register_subtrees_of_APACHE_SCOREBOARD_MIB();

/* defined objects in this module */

/* MIB object scoreboardMIB = universityOfTwente, 5 */
#define I_scoreboardMIB 5
#define O_scoreboardMIB 1, 3, 6, 1, 4, 1, 785, 5

/* MIB object universityOfTwente = enterprises, 785 */
#define I_universityOfTwente    785
#define O_universityOfTwente    1, 3, 6, 1, 4, 1, 785

/* MIB object scoreboardMIBObjects = scoreboardMIB, 1 */
#define	I_scoreboardMIBObjects	1
#define	O_scoreboardMIBObjects	1, 3, 6, 1, 4, 1, 785, 5, 1

/* MIB object scoreBoardTable = scoreboardMIBObjects, 1 */
#define	I_scoreBoardTable	1
#define	O_scoreBoardTable	1, 3, 6, 1, 4, 1, 785, 5, 1, 1

/* MIB object scoreBoardEntry = scoreBoardTable, 1 */
#define	I_scoreBoardEntry	1
#define	O_scoreBoardEntry	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1

/* MIB object scoreBoardIndex = scoreBoardEntry, 1 */
#define	I_scoreBoardIndex	1
#define	O_scoreBoardIndex	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1, 1

/* MIB object scoreBoardProcessId = scoreBoardEntry, 2 */
#define	I_scoreBoardProcessId	2
#define	O_scoreBoardProcessId	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1, 2

/* MIB object scoreBoardStatus = scoreBoardEntry, 3 */
#define	I_scoreBoardStatus	3
#define	O_scoreBoardStatus	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1, 3

/* MIB object scoreBoardStartTime = scoreBoardEntry, 4 */
#define	I_scoreBoardStartTime	4
#define	O_scoreBoardStartTime	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1, 4

/* MIB object scoreBoardAccessCount = scoreBoardEntry, 5 */
#define	I_scoreBoardAccessCount	5
#define	O_scoreBoardAccessCount	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1, 5

/* MIB object scoreBoardAccessBytes = scoreBoardEntry, 6 */
#define	I_scoreBoardAccessBytes	6
#define	O_scoreBoardAccessBytes	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1, 6

/* MIB object scoreBoardClient = scoreBoardEntry, 7 */
#define	I_scoreBoardClient	7
#define	O_scoreBoardClient	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1, 7

/* MIB object scoreBoardRequest = scoreBoardEntry, 8 */
#define	I_scoreBoardRequest	8
#define	O_scoreBoardRequest	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1, 8

/* MIB object scoreBoardVirtualHost = scoreBoardEntry, 9 */
#define	I_scoreBoardVirtualHost	9
#define	O_scoreBoardVirtualHost	1, 3, 6, 1, 4, 1, 785, 5, 1, 1, 1, 9

/* MIB object scoreboardMIBConformance = scoreboardMIB, 2 */
#define	I_scoreboardMIBConformance	2
#define	O_scoreboardMIBConformance	1, 3, 6, 1, 4, 1, 785, 5, 2

/* MIB object scoreboardMIBCompliances = scoreboardMIBConformance, 1 */
#define	I_scoreboardMIBCompliances	1
#define	O_scoreboardMIBCompliances	1, 3, 6, 1, 4, 1, 785, 5, 2, 1

/* MIB object scoreboardMIBGroups = scoreboardMIBConformance, 2 */
#define	I_scoreboardMIBGroups	2
#define	O_scoreboardMIBGroups	1, 3, 6, 1, 4, 1, 785, 5, 2, 2

/* MIB object scoreBoardGroup = scoreboardMIBGroups, 1 */
#define	I_scoreBoardGroup	1
#define	O_scoreBoardGroup	1, 3, 6, 1, 4, 1, 785, 5, 2, 2, 1

/* Put here additional MIB specific include definitions */

#endif	_APACHE_SCOREBOARD_MIB_
